package com.ankaibei.workFlow.webadmin.ankaibei.service;


import com.ankaibei.workFlow.webadmin.ankaibei.entity.CostInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.UserInfoVo;

import java.util.List;

/**
 * @author lwq
 * @version 1.0
 * @description:
 * @date 2022/9/26 14:23
 */
public interface CostInfoService {

    ResMsg addCostInfo(CostInfoEntity costInfoEntity);

    ResMsg findCostInfoAll(CostInfoEntity costInfoEntity, Integer pageIndex, Integer pageSize);

    boolean deleteCostInfo(List<CostInfoEntity> costInfoEntities);

    ResMsg updateCostInfo(CostInfoEntity costInfoEntity);

    ResMsg findCostInfoDetails(CostInfoEntity costInfoEntity);

    ResMsg findProjectAuditList(String id, UserInfoVo userInfoVo);
}
